<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_info', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('agent_id')->default(0)->comment('代理商ID');
            $table->string('name', 60)->default('')->comment('姓名');
            $table->char('phone', 11)->comment('联系电话');
            $table->string('nickname')->default('')->comment('微信昵称');
            $table->string('avatar')->default('')->comment('头像');
            $table->string('openid')->default('')->comment('openid');
            $table->text('desc')->comment('个人简介');
            $table->timestamps();
            $table->index('name');
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_info');
    }
}
