<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSwOrderInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sw_order_info', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('goods_id')->comment('购买商品');
            $table->integer('user_id')->comment('用户');
            $table->integer('agent_id')->default(0)->comment('代理商');
            $table->char('number',12)->comment('订单号');
            $table->integer('price')->comment('订单金额');
            $table->string('buy_name')->comment('购买人');
            $table->char('buy_phone')->comment('联系电话');
            $table->tinyInteger('status')->default(1)->comment('订单状态');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sw_order_info');
    }
}
