<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSwAgentInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sw_agent_info', function (Blueprint $table) {
            $table->increments('id');
            $table->string('appid')->default('')->comment('小程序ID');
            $table->string('appsecret')->default('');
            $table->string('appname')->default('')->comment('小程序名称');
            $table->integer('pid')->default(0)->comment('父级代理商');
            $table->string('path')->comment('代理商顺序');
            $table->string('name', 60)->default('')->comment('联系人');
            $table->char('phone', 11)->comment('联系手机');
            $table->char('contact', 20)->comment('其他办公电话');
            $table->string('company')->comment('代理公司名');
            $table->integer('area')->default(0)->comment('省市区编号');
            $table->string('address')->default('')->comment('省市区地址');
            $table->string('detail_address')->default('')->comment('详细地址');
            $table->text('pic')->comment('展示海报');
            $table->text('desc')->comment('公司简介');
            $table->integer('sort')->default(0)->comment('排序号');
            $table->timestamps();

            $table->index('phone');
            $table->index('name');
            $table->index('company');
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sw_agent_info');
    }
}
