<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSwCaseInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sw_cases_info', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name')->comment('案例名');
            $table->text('pic')->comment('案例截图');
            $table->text('desc')->comment('案例简介');
            $table->integer('sort')->default(0)->comment('排序号');
            $table->timestamps();

            $table->index('name');
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sw_cases_info');
    }
}
