<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSwCouponInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sw_coupon_info', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name')->comment('优惠券名称');
            $table->string('goods_ids')->default('')->comment('商品');
            $table->tinyInteger('way')->default(1)->comment('优惠方式');
            $table->integer('condition')->default(1)->comment('优惠条件');
            $table->integer('worth')->default(0)->comment('数值');
            $table->tinyInteger('status')->default(1)->comment('启用状态');
            $table->integer('number')->default(0)->comment('发放总量');
            $table->text('desc')->comment('规则描述');
            $table->timestamp('start_time')->comment('优惠券生效时间');
            $table->timestamp('end_time')->comment('优惠券失效时间');
            $table->timestamps();

            $table->index('name');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sw_coupon_info');
    }
}
