<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSwCategoryInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sw_category_info', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name')->comment('类名');
            $table->string('pic')->comment('分类图片');
            $table->integer('sort')->default(0)->comment('排序号');
            $table->enum('status',['启用','禁用'])->default('启用')->comment('分类状态');
            $table->timestamps();

            $table->index('name');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sw_category_info');
    }
}
