<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatSwDesignerInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sw_designer_info', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name', 60)->default('')->comment('姓名');
            $table->char('phone', 11)->comment('联系电话');
            $table->string('nickname')->default('')->comment('微信昵称');
            $table->string('openid')->default('')->comment('openid');
            $table->text('desc')->comment('个人简介');
            $table->timestamps();

            $table->index('phone');
            $table->index('name');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sw_designer_info');
    }
}
