<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSwCompanyInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cp_company_info', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name')->default('')->comment('公司名称');
            $table->text('desc')->comment('公司简介');
            $table->string('address')->default('')->comment('省市区地址');
            $table->string('map')->default('')->comment('定位名称');
            $table->double('lat',13,10)->default(0)->comment('地址纬度');
            $table->double('lon',13,10)->default(0)->comment('地址经度');
            $table->string('detail_address')->default('')->comment('详细地址');
            $table->string('start_time')->default('00:00')->comment('开始营业时间');
            $table->string('end_time')->default('23:59')->comment('结束营业时间');
            $table->string('phone')->comment('联系电话');
            $table->text('pic')->default('')->comment('门店照片');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cp_company_info');
    }
}
