<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

/**
 * Migration auto-generated by Sequel Pro Laravel Export
 * @see https://github.com/cviebrock/sequel-pro-laravel-export
 */
class CreateCrmLeadsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('crm_leads', function (Blueprint $table) {
            $table->increments('id')->comment('线索主键');
            $table->integer('owner_id')->comment('拥有者');
            $table->integer('creator_id')->comment('创建者');
            $table->string('name', 255)->comment('姓名或单位');
            $table->string('phone', 255)->comment('电话');
            $table->string('position', 20)->comment('职位');
            $table->string('email', 50)->comment('电子邮箱');
            $table->string('company', 255)->comment('公司');
            $table->string('address', 500)->comment('地址');
            $table->text('remark')->comment('备注');
            $table->string('source', 500)->comment('线索来源');
            $table->tinyInteger('status')->comment('状态：1线索池，2已领取，3已成交');
            $table->timestamp('have_time')->comment('领取时间');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('crm_leads');
    }
}
