<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTemplatePriceTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('template_price', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('template_id')->comment('模板');
            $table->string('unit')->comment('单位');
            $table->integer('add_day')->default(0)->comment('延长时间(天)');
            $table->integer('price')->default(0)->comment('价格');
            $table->tinyInteger('status')->default(1)->comment('启用状态');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('template_price');
    }
}
