<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserAppAccountTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_app_account', function (Blueprint $table) {
            $table->increments('id');
            $table->char('phone', 11)->comment('联系电话');
            $table->string('account', 60)->comment('账号自动生成唯一');
            $table->string('token')->default('')->comment('token');
            $table->string('app_user')->default('')->comment('后台用户id');
            $table->integer('agent_id')->default(0)->comment('代理商ID');
            $table->integer('user_template_id')->comment('用户模板id')->default(0);
            $table->string('name', 60)->default('')->comment('姓名');
            $table->string('wechat')->default('')->comment('微信');
            $table->string('wechat_id')->default('')->comment('wechat_id');
            $table->string('qq_id')->default('')->comment('qq_id');
            $table->string('email')->default('')->comment('邮箱');
            $table->string('qq')->default('')->comment('qq');
            $table->string('password')->default('')->comment('密码');
            $table->string('address')->default('')->comment('地址');
            $table->string('nickname')->default('')->comment('微信昵称');
            $table->string('avatar')->default('')->comment('头像');
            $table->string('openid')->default('')->comment('openid');
            $table->unsignedSmallInteger('is_root')->default(1);
            $table->unsignedSmallInteger('status')->default(1);
            $table->string('remember_token')->default('');
            $table->string('api_token')->default('');
            $table->text('desc')->comment('个人简介');
            $table->text('menus')->default('')->comment('普通用户功能');
            $table->timestamps();
            $table->softDeletes();
            $table->index('name');
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_app_account');
    }
}
