<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCardSettingTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
//    名片模板基础设置表
    public function up()
    {
        Schema::create('card_setting', function (Blueprint $table) {
            $table->increments('id');
            $table->tinyInteger('banner_padding_top')->comment('轮播图上边距')->default(2);
            $table->tinyInteger('banner_padding_button')->comment('轮播图下边距')->default(2);
            $table->tinyInteger('banner_padding_left')->comment('轮播图左边距')->default(2);
            $table->tinyInteger('banner_padding_right')->comment('轮播图右边距')->default(2);
            $table->string('base_color')->comment('主体颜色')->default('#ffffff');
            $table->string('font_color')->comment('字体颜色')->default('#dbbc60');
            $table->tinyInteger('menu_number')->comment('轮播图下方导航菜单个数')->default(4);
            $table->tinyInteger('title_style')->comment('标题样式居中靠左无标题')->default(1);
            $table->string('title_font_color')->comment('标题颜色')->default('#dbbc60');
            $table->string('title_base_color')->comment('标题背景颜色')->default('#dbbc60');
            $table->tinyInteger('show_number')->comment('展示栏目数')->default(2);
            $table->tinyInteger('show_style')->comment('展示栏目方式')->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('card_setting');
    }
}
