<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddColorToCpCompanyInfo extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('cp_company_info', function (Blueprint $table) {
            $table->string('app_color', 20)->nullable()->comment('小程序颜色')->after('show');
            $table->string('font_color', 20)->nullable()->comment('字体颜色')->after('show');
            $table->string('banner_height', 20)->nullable()->comment('banner高度')->after('show');
            $table->string('nav_icon_num', 20)->nullable()->comment('导航图标数目')->after('show');
            $table->string('title', 200)->nullable()->comment('标题文字')->after('show');
            $table->tinyInteger('title_align')->nullable()->comment('标题位置：0居中；1靠左；2无标题')->after('show');
            $table->string('show_column_num', 20)->nullable()->comment('展示栏目数')->after('show');
            $table->tinyInteger('show_column_style')->nullable()->comment('展示栏目方式：0单列带标题；1两列标题带图；2单列标题带图；3三列标题带图')->after('show');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
