<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateBaseVideosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('base_videos', function (Blueprint $table) {
            $table->increments('id');
            $table->string('name', 255)->comment('附件名称');
            $table->string('md5', 70)->comment('md5码');
            $table->string('path', 1024)->comment('附件路径');
            $table->string('url', 1024)->comment('附件url');
            $table->string('class', 255)->default('未分类')->comment('分类');
            $table->unsignedBigInteger('size')->nullable();
            $table->string('file_type', 100)->nullable();
            $table->unsignedInteger('agent_id')->nullable()->comment('所属者id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('base_videos');
    }
}
