<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSwHelpInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sw_help_info', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('cate_id')->comment('分类');
            $table->string('name',200)->comment('标题');
            $table->text('content')->comment('内容');
            $table->integer('sort')->comment('排序，越大越靠前');
            $table->tinyInteger('type')->comment('类型: 0:文字；1:图片；2:视频');
            $table->tinyInteger('status')->comment('状态: 0:不启用；1:启用');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sw_help_info');
    }
}
