<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateXcxSetsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('xcx_sets', function (Blueprint $table) {
            $table->increments('id');
            $table->string('table', 100)->nullable()->comment('表分类');
            $table->string('key', 100)->nullable()->comment('键');
            $table->tinyInteger('status')->nullable()->default(1)->comment('状态：0禁用；1启用');
            $table->string('val', 100)->nullable()->comment('值');
            $table->string('key_show', 100)->nullable()->comment('键显示');
            $table->string('val_show', 100)->nullable()->comment('值显示');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('xcx_sets');
    }
}
